Name:		dkms-vzvirtio_balloon
# Be careful: version used from git tag!!!
Version: 0.20
Release:	1%{?dist}
Summary:	vzvirtio_balloon kernel module

Group:		System Environment/Kernel
License:	GPLv2+
URL:		http://vzvirtio_balloon.sourceforge.net/
Source0:	vzvirtio_balloon.tar.gz
Source1:	vzballoon_blacklist
BuildArch:	noarch
Requires:	gcc, make
Requires(post):	dkms
Requires(preun): dkms

%description
Improved virtio_balloon driver for VM guests.

%prep
%setup -q -n vzvirtio_balloon/centos_6.7

%build

%install
rm -rf %{buildroot}
%define dkms_name vzvirtio_balloon
%define dkms_vers %{version}-%{release}
#%define quiet -q

# Kernel module sources install for dkms
mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
cp -a  * %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
cat > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
BUILT_MODULE_NAME[0]=%{dkms_name}
DEST_MODULE_LOCATION[0]=/kernel/drivers/virtio
AUTOINSTALL="YES"
EOF

mkdir -p $RPM_BUILD_ROOT/etc/init.d/
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/

%clean
rm -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} --rpm_safe_upgrade
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet}
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force

if [ $1 = 1 ] ; then
	# install first instance
	/sbin/chkconfig --add vzballoon_blacklist >/dev/null 2>&1
	/sbin/chkconfig vzballoon_blacklist on >/dev/null 2>&1
	/etc/init.d/vzballoon_blacklist start >/dev/null 2>&1
fi
:

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all --rpm_safe_upgrade

if [ $1 != 1 ] ; then
	# delete latest instance
	/etc/init.d/vzballoon_blacklist stop >/dev/null 2>&1
	/sbin/chkconfig --del vzballoon_blacklist >/dev/null 2>&1
fi
:

%triggerpostun -- dkms-vzvirtio_balloon < 0.18
# Always enable on upgrade from old version with missed service
/sbin/chkconfig --add vzballoon_blacklist >/dev/null 2>&1
/sbin/chkconfig vzballoon_blacklist on >/dev/null 2>&1
/etc/init.d/vzballoon_blacklist start >/dev/null 2>&1
:

%files
%defattr(-,root,root,-)
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%attr(755, root, root) /etc/init.d/vzballoon_blacklist


%changelog
