%define current_version 7.0.7
%define scriptsdir /usr/lib/vz-tools/tools/scripts
%define nm_conf_dir /etc/NetworkManager/conf.d
%define cloudinitdir /etc/cloud/cloud.cfg.d

Name: prl_nettool
Version: %{current_version}
Release:        9.suse
Summary: Virtuozzo network configuration utility for guests
Group: System Environment/Base
License: GPLv2
Source0: %{name}-%{version}.tar.bz2
BuildRequires: iproute2 libnetlink-devel glibc-static

%description
Virtuozzo network configuration utility for guests.

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} -f Makefile.Linux

%install
make DESTDIR=$RPM_BUILD_ROOT -f Makefile.Linux install
rm -f $RPM_BUILD_ROOT/%{scriptsdir}/netplan-cfg.py

%files
%defattr(-, root, root, -)
%{_sbindir}/%{name}
%{scriptsdir}
%{cloudinitdir}/*

%changelog
* Mon Nov 21 2022 Aleksandr Leskin <aleksandr.leskin@virtuozzo.com> 7.0.7-9
- Add initial support and setting hostname for FreeBSD #PSBM-142542
  Signed-off-by: Alexander Ivanov <alexander.ivanov@virtuozzo.com>

* Thu Nov  3 2022 Aleksandr Leskin <aleksandr.leskin@virtuozzo.com> 7.0.7-8
- netplan: append gateway or default-route according neplan
  version #PSBM-142848

* Fri Sep  3 2021 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.7-7
- Fix multiple routes configuration within netplan #PSBM-133484

* Fri Aug  6 2021 Konstantin Bukharov <bkb@virtuozzo.com> 7.0.7-6
- Do not set default routing to aliases #PSBM-132778

* Wed Apr  7 2021 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.7-5
- Change default logic in need_to_disable_network_manager #PSBM-127164

* Tue Apr  6 2021 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.7-4
- Do not disable NetworkManager for cloudlinux/vzlinux 7 or newer #PSBM-127164

* Wed Mar 10 2021 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.7-3
- include hardware type in client-id for dhcpclient #PSBM-126377

* Mon Nov 16 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.7-2
- Fix set_dns arguments #PSBM-122314
- Rework network restart for debian OS #PSBM-105608

* Fri Apr 24 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.7-1
- Handle routes configured without "via" directive #PSBM-10229

* Fri Oct 25 2019 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.6-1
- Wait for interface to come up after hotplug (linux) #PSBM-95459

* Fri Dec 14 2018 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-13
- Added support for setting dns/hostname via NetworkManager #PSBM-90148
- nm-set_dns.sh failed to work with multiple active interfaces #PSBM-90321

* Fri Oct  5 2018 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.4-11
- Introduce netplan support for debian systems #PSBM-87360
- Exclude python from auto dependencies generator #PSBM-89235

* Fri Jul 27 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-10
- Interfaces cleanup must not depend on indentation #PSBM-87157

* Thu May 25 2017 Konstantin Vlasov <konstantin.vlasov@virtuozzo.com> 7.0.4-9
- Update contacts and copyrights
- Clear adapter from disable list only if "netsh enable" succeed #PSBM-53710
- Clear ip list and set method in one nmcli command #PSBM-53683
- Force to set connection method prior to IP addresses setup, see #PSBM-53152
- Fixed nm restart, correct checks for need_restart, see #PSBM-52395
- Disable ifupdown plugin, drop native configuration before NetworkManager, see #PSBM-52395
- Perform nmcli connection reload, drop common nm connections related to configured iface, see #PSBM-52004
- Drop old-style iface records also from interfaces.d, see #PSBM-52004
- Wait for PNP and SCM start completed before prl_nettool #PSBM-50721

* Tue Jun 28 2016 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-8
- Disable cloud-init network config #PSBM-48878

* Tue Jun 28 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-7
- If NetworkManager is offline, try to wait for it and re-run nmcli, #PSBM-48372

* Thu Jun 16 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.4-6
- Add restart for separate interface to debian scripts. #PSBM-24502
- Clear old NM config if network interface were recreated. #PSBM-48328
- Remove service which re-allows NetworkManager read ifcfg-*, #PSBM-48444

* Tue Jun 14 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-5
- Fix ip=remove parsing for NetworkManager, #PSBM-48155
- Run ipconfig /renew to refresh dns search list #PSBM-48116

* Wed Jun  8 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-4
- Fix get suse config name #PSBM-47906

* Tue Jun  7 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-3
- Fix clean IP and GW for iface configured by DHCP #PSBM-47770

* Tue Apr 19 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-2
- Remove unnecessary call of nmcli see up in check and create
  NM config function. #PSBM-45836

* Tue Apr 12 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-1
- fix create_nm_if_config logic

* Wed Mar 16 2016 Alexander Pisarev <apisarev@virtuozzo.com> - 7.0.2-4
- Fix IPv6 set and dhcp IP change on reconfig in NM. #PSBM-45066

* Thu Feb 25 2016 Alexander Pisarev <apisarev@virtuozzo.com> - 7.0.2-3
- Fix sequence of service start. #PSBM-44553

* Tue Feb 23 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.2-2
- Fix lost of default interface configuration in NM, see #PSBM-44508

* Mon Feb 22 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.2
 - Add nameservers/searchdomains to dhclient.conf, #PSBM-43663
 - Fix set ip for VM with NM and interface method link-local. #PSBM-44221
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add precompile if to call rtnl_dump_filter with correct arg number for
libnetlink versions. #PSBM-44221 (Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add support of Network Manager for RedHat based OS. #PSBM-44221 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Fix IP receives from dhcp on a Debian VM with tools. #PSBM-39227 (Aleksander
Pisarev <apisarev@virtuozzo.com>)
 - BUGFIX #PSBM-43173 Do not disable network manager starting from CentOS 7
(Inga Pyass <ipyass@virtuozzo.com>)

* Fri Feb 19 2016 Alexander <apisarev@vitruozzo.com> 7.0.1-7
- Fixed ip set for VM with NM on interface with method link-local #PSBM-44221

* Fri Feb 19 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-6
- Set fixed dist suffix to el7 #PSBM-44221

* Thu Feb 18 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-5
- Add no-auto-default option to NW config to prevent creation of in-memory configurations #PSBM-44352

* Tue Feb 16 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-4
- Add Network Manager support in RH based OSes and config to disable ifcfg-rh plugin #PSBM-44221

* Fri Jan 22 2016 Konstantin <wolf@parallels.com> 7.0.1-3
- Do not disable network manager starting from CentOS 7 #PSBM-43173

* Wed Dec  9 2015 Konstantin <wolf@parallels.com> 7.0.1-2
- Fixed secondary IPv4 addresses removal on switch to DHCP #PSBM-42096

* Mon Nov 09 2015 Konstantin <wolf@parallels.com> 7.0.1-1
 - Initial version

